import Card from "./ServiceCard";
import EnvisionImg from "../../../assets/imgs/Envision.jpg";
import CaptureImg from "../../../assets/imgs/Capture.png";
import EditImg from "../../../assets/imgs/Edit.png";
import PublishImg from "../../../assets/imgs/Publish.jpg";
import { useTranslation } from "react-i18next";

const CameraCards = () => {
  const { t } = useTranslation();

  return (
    <div className="h-full flex lg:mt-20 flex-col flex-wrap xl:flex-row mx-4">
      <Card
        title={t("services.cards.media.card1.title")}
        description={t("services.cards.media.card1.description")}
        imgSrc={EnvisionImg}
        delay="0s"
      />
      <Card
        title={t("services.cards.media.card2.title")}
        description={t("services.cards.media.card2.description")}
        imgSrc={CaptureImg}
        delay="0.1s"
      />
      <Card
        title={t("services.cards.media.card3.title")}
        description={t("services.cards.media.card3.description")}
        imgSrc={EditImg}
        delay="0.2s"
      />
      <Card
        title={t("services.cards.media.card4.title")}
        description={t("services.cards.media.card4.description")}
        imgSrc={PublishImg}
        delay="0.3s"
      />
    </div>
  );
};

export default CameraCards;
